WindowIcon = class( Turbine.UI.Window )

-- LootSettings["icon"]["left"] = 200
-- LootSettings["icon"]["top"] = 200

function WindowIcon:Constructor()
	Turbine.UI.Window.Constructor( self )

	self:SetSize(32,32)
	self:SetPosition(LootSettings["icon"]["left"], LootSettings["icon"]["top"])
	self:SetOpacity(0.5)

	self.icon = Turbine.UI.Control()
    self.icon:SetParent(self)
    self.icon:SetSize(32,32)
    self.icon:SetMouseVisible(false)

	self.icon:SetBackground("Souru/LootLogs/Resources/chest.tga")
	
	self:SetMouseVisible(true)
	self:SetVisible(true)
	
	self.MouseEnter = function(sender, args)
        self:SetOpacity(1)
    end

    self.MouseLeave = function(sender, args)
	   self:SetOpacity(0.5)
	end
	
	self.MouseDown = function( sender, args )
		if args.Button == Turbine.UI.MouseButton.Left then
			self.dragging = true	
			self.dragStartX = args.X
			self.dragStartY = args.Y
		end
	end
	
	self.MouseMove = function( sender, args )
		if self.dragging then
			local x,y = self:GetPosition()	
			x = x + ( args.X - self.dragStartX )
			y = y + ( args.Y - self.dragStartY )	
			self:SetPosition( x, y )	
		end
	end
	
	self.MouseUp = function( sender, args )
		if args.Button == Turbine.UI.MouseButton.Left then
			self.dragging = false
			LootSettings["icon"]["left"],LootSettings["icon"]["top"] = self:GetPosition()
				
			SaveSettings()
		end
	end

	self.MouseClick = function(sender, args)

        if args.Button == Turbine.UI.MouseButton.Right then
			OpenSettings()
        end

    end

end